Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.certclient.util
Interface PkSsCertificate

    public interface PkSsCertificate

This interface allows an End Entity to create self-signed certificates with selected extensions.

Method Summary
`X509Certificate` | `getCertificate()` Extract the self-signed Certificate
`PrivateKey` | `getKey()` Extract the private key for the self-signed certificate
`PublicKey` | `getPublicKey()` Extract the public key
`String` | `getSigAlg()` Extract the signature algorithm
`byte[]` | `getSubjectKeyIdentifier()` Extract the subject public key identifier
`String` | `getSubjectName()` Extract the subject name
`void` | `setToKeyStore(String alias, String password, KeyStore ks)` Store this self-signed certificate in a keystore

Method Detail

### getKey

    PrivateKey getKey()

  Extract the private key for the self-signed certificate

  Returns:
    the private key of the key pair created for this certificate

### getCertificate

    X509Certificate getCertificate()

  Extract the self-signed Certificate

  Returns:
    the X509 certificate

### getPublicKey

    PublicKey getPublicKey()

  Extract the public key

  Returns:
    the X509 public key

### getSubjectName

    String getSubjectName()

  Extract the subject name

  Returns:
    the subject Distinguished Name as a String

### getSigAlg

    String getSigAlg()

  Extract the signature algorithm

  Returns:
    the string naming the certificate signing algorithm

### getSubjectKeyIdentifier

    byte[] getSubjectKeyIdentifier()

  Extract the subject public key identifier

  Returns:
    the byte array containing the generated subject key identifier This uniquely identifies the private key corresponding to this certificate without exposing it

### setToKeyStore

    void setToKeyStore(String alias,
                       String password,
                       KeyStore ks)
                       throws com.ibm.security.certclient.base.PkException

  Store this self-signed certificate in a keystore

  Parameters:
    `alias` - label to identify certificate in keystore
    `password` - key protection password
    `ks` - keystore where key is to be stored
  Throws:
    `com.ibm.security.certclient.base.PkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD